Package weka.core.pmml.jaxbbindings

# Class Segmentation

java.lang.Object
weka.core.pmml.jaxbbindings.Segmentation

public class Segmentation extends Object

Java class for Segmentation element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="Segmentation">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}Segment" maxOccurs="unbounded"/>
             </sequence>
             <attribute name="multipleModelMethod" use="required" type="{http://www.dmg.org/PMML-4_1}MULTIPLE-MODEL-METHOD" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Segmentation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Extension>`
  `getExtension()`
  Gets the value of the extension property.
  `MULTIPLEMODELMETHOD`
  `getMultipleModelMethod()`
  Gets the value of the multipleModelMethod property.
  `List<Segment>`
  `getSegment()`
  Gets the value of the segment property.
  `void`
  `setMultipleModelMethod(MULTIPLEMODELMETHOD value)`
  Sets the value of the multipleModelMethod property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Segmentation

    public Segmentation()

- ## Method Details

  - ### getExtension

    public List<Extension> getExtension()
    Gets the value of the extension property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

    For example, to add a new item, do as follows:

            getExtension().add(newItem);

    Objects of the following type(s) are allowed in the list `Extension`

  - ### getSegment

    public List<Segment> getSegment()
    Gets the value of the segment property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the segment property.

    For example, to add a new item, do as follows:

            getSegment().add(newItem);

    Objects of the following type(s) are allowed in the list `Segment`

  - ### getMultipleModelMethod

    public MULTIPLEMODELMETHOD getMultipleModelMethod()
    Gets the value of the multipleModelMethod property.
    Returns:
      possible object is `MULTIPLEMODELMETHOD`

  - ### setMultipleModelMethod

    public void setMultipleModelMethod(MULTIPLEMODELMETHOD value)
    Sets the value of the multipleModelMethod property.
    Parameters:
      `value` - allowed object is `MULTIPLEMODELMETHOD`